ftptop(1)

NAME
ftptop - display running status on proftpd server connections

SYNOPSIS
ftptop

DESCRIPTION
The ftptop command displays the current status of FTP sessions in a continuously updating top like format.

OPTIONS

-A  Filter the display to show sessions that are authenticating.

-a  Filter the display to hide sessions that are authenticating.

-b  Batch mode. In this mode, ftptop will not accept input, and runs until the iterations limit set via -n option, or until killed.

-D  Filter the display to show sessions that are downloading.

-d  Specify the delay, in seconds, between display refreshes. The default is 2 seconds. Only values between 0 and 15 seconds are accepted.

-f  Specify the full path to proftpd's run-time scoreboard file (configured via the ScoreboardFile directive in proftpd.conf). If proftpd's default directory has been changed via this directive, ftptop must either be recompiled or this option must be used in order to find proftpd's scoreboard. -h Display a short usage description, including all available options.

-I  Filter the display to show sessions that are idle.

-i  Filter the display to hide sessions that are idle.

-n  Specify the number of interations that ftptop should produce before ending.

-S  Specify the ServerName for a specific virtual host. If used, ftptop will only show sessions for the given virtual host.

-U  Filter the display to show sessions that are uploading.

-V  Print out the version of ftptop and quit.

While ftptop is running, hit the 'q' key to quit. The 't' key toggles between display modes. Currently there are two display modes: normal and transfer speed modes.

FILES
/usr/bin/ftptop
/var/run/proftpd.scoreboard

AUTHORS

ProFTPD is written and maintained by a number of people, full credits can be found on http://www.proftpd.org/credits.html

SEE ALSO
inetd(8),ftp(1),proftpd(8),ftpwho(1),ftptop(1),ftpshut(8)

Full documentation on ProFTPD, including configuration and FAQs, is available at http://www.proftpd.org/

For help/support, try the ProFTPD mailing lists, detailed on http://www.proftpd.org/lists.html

Report bugs at http://bugs.proftpd.org/